This endpoint lets you search for users using filters
Documentation Index
Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
Use this file to discover all available pages before exploring further.
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Filter by user email. Value must be a valid email address. Case-insensitive exact match.
Filter by organization ID. Only PROVIDER users can use this filter. If you are not a PROVIDER, this will default to the ID of your organization.
Fuzzy search across the full name and email of users. Case-insensitive.
Filter users by status
active, invited "active"
If true, return only disabled users. If false, return only active users.
Filter users based on whether they have at least one assigned business (true) or no assigned businesses (false).
Filter users who do not have the specified permission.
For available permissions and their names, use GET /api/v2/permissions to retrieve the full list of available permissions for your organization.
Filter users who have the specified permission.
For available permissions and their names, use GET /api/v2/permissions to retrieve the full list of available permissions for your organization.
Filter users by last name (exact substring match, case-sensitive).
Filter users by role. Accepts a single value or a comma-separated list.
PROVIDER, ORG_ADMIN, ORG_MANAGER, GROUP_MANAGER, BUSINESS_MANAGER, PUBLISHER "BUSINESS_MANAGER"
true, response includes business_ids; a list of businesses the user has access to.false, response does not include business_ids.⚠️ Note: The business_ids list is only populated for users with the BUSINESS_MANAGER role.
Filter by users having access to the business with the provided id.
"5409c35a97bbc544d8e26737u"
Page number.
Starts at 1. Any value lower than 1 will be considered as 1.
For the number of items per page, see the per_page query parameter.
Number of items to return per page. Currently limited to 100.
1 <= x <= 100Order result by given attribute.
Reverse order can as well be obtained by using a - (minus sign) before the attribute name, e.g. order_by=-name
email, first_name, group_id, id, last_activity_date, last_name, org_id, role, status, -email, -first_name, -group_id, -id, -last_activity_date, -last_name, -org_id, -role, -status